Alarm Manager Acknowledge Alarm

Alarm Manager Acknowledge Alarm
Acknowledge the alarm on a managed entity.

Acknowledge the alarm on a managed entity.

The actions associated with the alarm will not fire until the alarm's next distinct occurrence; that is, until after the alarm has entered the green or gray states at least once. Calling this method on an acknowledged or non-triggered alarm.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/AlarmManager/{moId}/AcknowledgeAlarm
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case AlarmManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
AcknowledgeAlarmRequestType of type(s) application/json
Required

Show optional properties

{
    "alarm": {},
    "entity": {}
}
{
    "alarm": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    },
    "entity": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
alarm
Required

The Alarm to acknowledge.

Required privileges: Alarm.Acknowledge

entity
Required

The ManagedEntity for which to acknowledge the Alarm.

Required privileges: System.Read

Authentication
This operation uses the following authentication methods.
Responses
204

No Content

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"alarm":"{}","entity":"{}"}' https://{api_host}/sdk/vim25/{release}/AlarmManager/{moId}/AcknowledgeAlarm